Part: Prostopadłościan

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Box and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎한국어

Part Box.svg Część: Prostopadłościan

Lokalizacja w menu
Część → Bryła pierwotna → Sześcian
Środowisko pracy
Środowisko pracy Część
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Bryły pierwotne

Opis

Polecenie Prostopadłościan ze środowiska prazy Część wstawia parametryczny prostokątny prostopadłościan, jako geometryczną bryłę pierwotną do aktywnego dokumentu. Domyślnie, polecenie Prostopadłościan wstawia sześcian o wymiarach 10 x 10 x 10mm, umieszczony w punkcie początkowym, z etykietą "sześcian". Parametry te mogą być modyfikowane po dodaniu obiektu.

Część: Sześcian

Użycie

  1. Przełącz się na środowisko pracy Workbench Part.svg Część
  2. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Part Box.svg Utwórz prostopadłościan na pasku narzędzi.
    • Wybierz polecenie Część → Bryła pierwotna → Part Box.svg Prostopadłościan z paska menu.

Wynik: Domyślnym wynikiem jest sześcian o długości, szerokości i wysokości, wynoszącej 10mm. Jest on dołączony do globalnej płaszczyzny XY, a jedna jego krawędź pokrywa się z globalną osią Z.

Właściwości sześcianu mogą być później korygowane w edytorze właściwości lub przez podwójne kliknięcie na sześcian w drzewie modelu.

Właściwości

Podstawowe

  • DANEUmiejscowienie: Określa orientację i położenie obiektu Prostopadłościan w przestrzeni 3D. Zobacz stronę Umiejscowienie. Punktem odniesienia jest lewy przedni dolny róg bryły.
  • DANEEtykieta: Etykieta nadana obiektowi. Zmień ją, aby dostosować nazwę do swoich potrzeb.

Prostopadłościan

  • DANEDługość: Parametr długość jest wymiarem bryły w kierunku X.
  • DANESzerokość: Parametr szerokość jest wymiarem bryły w kierunku Y.
  • DANEWysokość: Parametr wysokość jest wymiarem bryły w kierunku Z.

Właściwości prostopadłościanu utworzonego w środowisku Część

Tworzenie skryptów

Polecenie Prostopadłościan może być użyte przez makrodefinicje i z konsoli środowiska Python za pomocą następującej funkcji:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Gdzie parametr myBox jest etykietą dla obiektu prostopadłościanu.
  • Zwraca nowo utworzony obiekt typu prostopadłościan.

Możesz uzyskać dostęp i modyfikować atrybuty obiektu Prostopadłościanu. Na przykład, można zmienić parametry długości, szerokości i wysokości.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

Możesz zmienić jego umiejscowienie za pomocą:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))